Package twisted :: Package python :: Module logfile :: Class LogFile

[show private | hide private]
[frames | no frames]

## Class LogFile

A log file that can be rotated.

A rotateLength of None disables automatic log rotation.

Method Summary
| `__init__(self, name, directory, rotateLength)`
| `__getstate__(self)`
| ``__hook_orig_twisted_python_logfile_LogFile_rotate__`(self)` Rotate the file and create a new one.
| ``__hook_orig_twisted_python_logfile_LogFile_write__`(self, data)` Write some data to the file.
| `__setstate__(self, state)`
| ``close`(self)` Close the file.
| ``flush`(self)` Flush the file.
| ``getCurrentLog`(self)` Return a LogReader for the current log file.
| ``getLog`(self, identifier)` Given an integer, return a LogReader for an old log file.
| ``listLogs`(self)` Return sorted list of integers - the old logs' identifiers.
| `rotate(*args, **kw)`
| `write(*args, **kw)`

Class Variable Summary
`list` | `__hook_post_twisted_python_logfile_LogFile_rotate__`
`list` | `__hook_post_twisted_python_logfile_LogFile_write__`
`list` | `__hook_pre_twisted_python_logfile_LogFile_rotate__`
`list` | `__hook_pre_twisted_python_logfile_LogFile_write__`
`list` | `synchronized`

Method Details

### __hook_orig_twisted_python_logfile_LogFile_rotate__(self)

Rotate the file and create a new one.

If it's not possible to open new logfile, this will fail silently, and continue logging to old logfile.

### __hook_orig_twisted_python_logfile_LogFile_write__(self, data)

Write some data to the file.

### close(self)

Close the file.

The file cannot be used once it has been closed.

### flush(self)

Flush the file.

### getCurrentLog(self)

Return a LogReader for the current log file.

### getLog(self, identifier)

Given an integer, return a LogReader for an old log file.

### listLogs(self)

Return sorted list of integers - the old logs' identifiers.

Class Variable Details

### __hook_post_twisted_python_logfile_LogFile_rotate__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81285a4>]

### __hook_post_twisted_python_logfile_LogFile_write__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81285a4>]

### __hook_pre_twisted_python_logfile_LogFile_rotate__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x8185cc4>]

### __hook_pre_twisted_python_logfile_LogFile_write__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x8185cc4>]

### synchronized

  Type:
    `list`
  Value:

        ['write', 'rotate']

Generated by Epydoc 1.1 on Sat Feb 15 21:18:05 2003 | http://epydoc.sf.net